Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
dunguss3581

[hỏi] nút lệnh pick point từ bản vẽ.

Các bài được khuyến nghị

Tôi dang viết lisp có một hộp thoại có nút (button) tôi muốn nhấn nút này thì hộp thoại tạm thời tắt và cho phép nhận điểm bằng cách pick trên màn hình cad. anh em nào biết cách giúp tôi được không?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tôi dang viết lisp có một hộp thoại có nút (button) tôi muốn nhấn nút này thì hộp thoại tạm thời tắt và cho phép nhận điểm bằng cách pick trên màn hình cad. anh em nào biết cách giúp tôi được không?

Dialoge là 1 vấn đề phức tạp. Bạn hỏi khơi khơi như vậy rất khó trả lời. Hãy post file lsp và dcl lên mới hy vọng giúp bạn được.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Dialoge là 1 vấn đề phức tạp. Bạn hỏi khơi khơi như vậy rất khó trả lời. Hãy post file lsp và dcl lên mới hy vọng giúp bạn được.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn nghiên cứu thêm các viết file dcl, file lsp không tạo ra được hộp thoại đâu bạn. Đúng như bác Hà nói nó rất phức tạp đó cũng là lý do mình tạm biệt lisp gần 10 năm nay và trung thành với VB cũng từ đó đến nay.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tôi dang viết lisp có một hộp thoại có nút (button) tôi muốn nhấn nút này thì hộp thoại tạm thời tắt và cho phép nhận điểm bằng cách pick trên màn hình cad. anh em nào biết cách giúp tôi được không?

Với DCL và Lisp không "tạm thời" tắt hộp thoại đc, bạn phải đóng luôn hộp thoại mới có thể pick điểm trên màn hình, sau đó gọi lại hộp thoại.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Với DCL và Lisp không "tạm thời" tắt hộp thoại đc, bạn phải đóng luôn hộp thoại mới có thể pick điểm trên màn hình, sau đó gọi lại hộp thoại.

vậy những textbox đã nhập số liệu lại về nil à? phức tạp quá

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

vậy những textbox đã nhập số liệu lại về nil à? phức tạp quá

Không về nil đâu.

Nguyên tắc là thế này (VD thôi nhé):

- Bạn nhập vào textbox.

- Đóng tạm Dialoge, đồng thời pick điểm.

- Sau khi pick điểm xong thì gọi lại dialoge. Kết quả nhập trước khi pick điểm vẫn còn.

- Tất cả những thao tác trên được viết trong 1 lisp mà thôi.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

vậy những textbox đã nhập số liệu lại về nil à? phức tạp quá

Thì lưu biến đó trước khi tắt. Ai ép bạn đâu mà.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Không về nil đâu.

Nguyên tắc là thế này (VD thôi nhé):

- Bạn nhập vào textbox.

- Đóng tạm Dialoge, đồng thời pick điểm.

- Sau khi pick điểm xong thì gọi lại dialoge. Kết quả nhập trước khi pick điểm vẫn còn.

- Tất cả những thao tác trên được viết trong 1 lisp mà thôi.

phương pháp đóng tạm như thế nào? bạn có thể cho mình biết câu lệnh được không?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

phương pháp đóng tạm như thế nào? bạn có thể cho mình biết câu lệnh được không?

Nếu không có gì tối mật trong cái dialoge của bạn thì bạn nên gởi lsp+dcl lên, chứ nói hơi khó.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nếu không có gì tối mật trong cái dialoge của bạn thì bạn nên gởi lsp+dcl lên, chứ nói hơi khó.

ok . mình đã làm theo phương pháp lưu biến tạm . nhưng tui muốn lệnh tạm đóng nhé. http://www.4shared.com/rar/9PPEeZlD/VGD.html

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

ok . mình đã làm theo phương pháp lưu biến tạm . nhưng tui muốn lệnh tạm đóng nhé. http://www.4shared.c...PEeZlD/VGD.html

File bé thì up trực tiếp lên Cadviet luôn đi. Tôi qua bên đó down bị lỗi hoài.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
LISP:
(defun C:vgd ()
 (setq dcl_id (load_dialog "VD1.dcl"))
 (if (not (new_dialog "VD1" dcl_id))
(progn
 	(alert "The VD1.DCL file could not be loaded!")
 	(exit)
)
 )
 (setq ve 0)
 (setq mySlideName1 "C:/Program Files/AutoCAD 2005/TIENICHKS/SLD/gd1.sld") 
 (setq mySlideName2 "C:/Program Files/AutoCAD 2005/TIENICHKS/SLD/gd2.sld")
 (setq mySlideName3 "C:/Program Files/AutoCAD 2005/TIENICHKS/SLD/gd3.sld")
 (setq mySlideName4 "C:/Program Files/AutoCAD 2005/TIENICHKS/SLD/gd4.sld")
 (setq myKey "sld")
 (action_tile "but1" "(upDateImage mySlideName1 myKey)")
 (action_tile "but2" "(upDateImage mySlideName2 myKey)")
 (action_tile "but3" "(upDateImage mySlideName3 myKey)")
 (action_tile "but4" "(upDateImage mySlideName4 myKey)")
 (action_tile "ve" "(setq ve 1)(luuchon)(done_dialog)")
 (action_tile "cancel" "(done_dialog)")
 (start_dialog)
 (unload_dialog dcl_id)
 (princ)

 (cond
((and (= ve 1) (= chon "but1"))
	(progn
 	(VEKIEU1 1 )
	)
)
((and (= ve 1) (= chon "but2"))
	(progn
 	(VEKIEU1 2)
	)
)
((and (= ve 1) (= chon "but3"))
	(progn
 	(VEKIEU1 3)
	)
)
((and (= ve 1) (= chon "but4"))
	(progn
 	(VEKIEU1 4)
	)
)
 )

)
(defun upDateImage (sldName key)
 (setq width (dimx_tile key))
 (setq height (dimy_tile key))
 (start_image key)
 (fill_image 0 0 width height 0)
 (slide_image 0 0 width height sldName)
 (end_image)
)
(defun luuchon()
 (setq chon(get_tile "mychoice"))
)
;     	doan hop thoai ve chi tiet           	88           	88888888888888888888888888888888888888888888888888888888888888                                                                                       
(defun VEKIEU1(x)
(command "style" "textbangtoado" ".Vnarial narrowH" 0.5 "" "" "n" "n")
 (setq dcl_id (load_dialog "VD2.dcl"))
 (setq wn 2)
(setq MCD "")
(setq DV "")
(setq Dgiua "")
(setq Dtruoc "")
(setq Dsau "")
 (while (>= wn 2)
(if (null (new_dialog "VD2" dcl_id))
 	(progn
   	(alert "The VD2.DCL file could not be loaded!")
   	(exit)
 	)
) ; het hàm if
 (set_tile "MCD" MCD)           	; giu cho cac edit_box khong mat gia tri da nhap
 (set_tile "DV" DV) ; giu cho cac edit_box khong mat gia tri da nhap
 (set_tile "Dgiua" Dgiua) ; giu cho cac edit_box khong mat gia tri da nhap
 (set_tile "Dtruoc" Dtruoc) ; giu cho cac edit_box khong mat gia tri da nhap
 (set_tile "Dsau" Dsau) ; giu cho cac edit_box khong mat gia tri da nhap
 (action_tile "PMCD" "(saveVars)(done_dialog 4)")
 (action_tile "PDV" "(saveVars)(done_dialog 5)")
 (action_tile "PDgiua" "(saveVars)(done_dialog 6)")
 (action_tile "PDtruoc" "(saveVars)(done_dialog 7)")
 (action_tile "PDsau" "(saveVars)(done_dialog 8)") 
 (action_tile "accept" "(saveVars)(done_dialog 9)") 
 (action_tile "cancel" "(done_dialog 1)")
 (setq wn (start_dialog))
(cond
((= wn 4)
	(progn
  	(Setq MCDP(getpoint "\n Pick diem MCD"))
  	)     
	)
((= wn 5)
	(progn
  	(Setq DVP(getpoint "\n Pick diem DV"))
  	)     
	)
((= wn 6)
	(progn
  	(Setq DgiuaP(getpoint "\n Pick diem D giua"))
  	)     
	)
((= wn 7)
	(progn
  	(Setq DtruocP(getpoint "\n Pick diem D truoc:"))
  	)     
	)
((= wn 8)
	(progn
  	(Setq DsauP(getpoint "\n Pick diem D sau"))
  	)     
	)
((= wn 9)
	(progn
  	(cond
((= x 1)
     	(gd1 DgiuaP MCDP DVP DtruocP DsauP Dgiua MCD DV Dtruoc Dsau)
    	)
((= x 2)
     	(gd2 DgiuaP MCDP DVP DtruocP DsauP Dgiua MCD DV Dtruoc Dsau)
    	)
((= x 3)
     	(gd3 DgiuaP MCDP DVP DtruocP DsauP Dgiua MCD DV Dtruoc Dsau)
    	)
((= x 4)
     	(gd4 DgiuaP MCDP DVP DtruocP DsauP Dgiua MCD DV Dtruoc Dsau)
    	)
   	)
 	)
	)
((= wn 0)
	(Prompt "nguoi dung da thoat khoi hop thoai")
	)
)
  )
 (unload_dialog dcl_id)
 (princ)
)
(defun saveVars()
 (setq MCD(get_tile "MCD"))
 (setq DV (get_tile "DV"))
 (setq Dgiua (get_tile "Dgiua"))
 (setq Dtruoc (get_tile "Dtruoc"))
 (setq Dsau (get_tile "Dsau"))
)

; //////////////// DOAN CHUONG TRINH VE HSGD KIEU 1 /////////////////////////////////////////////////////////////

(defun gd1 (p1 p2 p3 p4 p5 tendinh1 tenmocmcd tenmocdv tendinh2 tendinh3)
 (defun str (n)
(vl-string-right-trim "." (vl-string-right-trim "0" (rtos n 2 2)))
 )
 (setq
p1p2 (strcat (str (distance p1 p2)) " m")
p2p3 (strcat (str (distance p2 p3)) " m")
p3p1 (strcat (str (distance p3 p1)) " m")
 )
 (command "style" "textbangtoado" ".Vnarial narrow" 1.8 "" "" "n" "n")
 (setq gocp1p2 (/ (* (angle p1 p2) 180) pi))
 (setq gocp1p3 (/ (* (angle p1 p3) 180) pi))
 (setq gocp2p1p3 (abs (- gocp1p2 gocp1p3)))
 (if (> gocp2p1p3 180) (setq gocp2p1p3 (- 360 gocp2p1p3)))
 (setq dpg1 (vl-string-subst (chr 176) "d" (angtos (* pi (/ gocp2p1p3 180.0)) 1 3)))
 (setq gocp2p1 (/ (* (angle p2 p1) 180) pi))
 (setq gocp2p3 (/ (* (angle p2 p3) 180) pi))
 (setq gocp1p2p3 (abs (- gocp2p1 gocp2p3)))
 (if (> gocp1p2p3 180) (setq gocp1p2p3 (- 360 gocp1p2p3)))
 (setq dpg2 (vl-string-subst (chr 176) "d" (angtos (* pi (/ gocp1p2p3 180.0)) 1 3)))
 (setq gocp3p1 (/ (* (angle p3 p1) 180) pi))
 (setq gocp3p2 (/ (* (angle p3 p2) 180) pi))
 (setq gocp1p3p2 (abs (- gocp3p1 gocp3p2)))
 (if (> gocp1p3p2 180) (setq gocp1p3p2 (- 360 gocp1p3p2)))
 (setq dpg3 (vl-string-subst (chr 176) "d" (angtos (* pi (/ gocp1p3p2 180.0)) 1 3)))
 (setq gocp1p4 (/ (* (angle p1 p4) 180) pi))
 (setq gocp1p2 (/ (* (angle p1 p2) 180) pi))
 (setq gocp4p1p2 (abs (- gocp1p4 gocp1p2)))
 (if (> gocp4p1p2 180) (setq gocp4p1p2 (- 360 gocp4p1p2)))
 (setq dpg4 (vl-string-subst (chr 176) "d" (angtos (* pi (/ gocp4p1p2 180.0)) 1 3)))
 (setq gocp1p5 (/ (* (angle p1 p5) 180) pi))
 (setq gocp1p3 (/ (* (angle p1 p3) 180) pi))
 (setq gocp5p1p3 (abs (- gocp1p5 gocp1p3)))
 (if (> gocp5p1p3 180) (setq gocp5p1p3 (- 360 gocp5p1p3)))
 (setq dpg5 (vl-string-subst (chr 176) "d" (angtos (* pi (/ gocp5p1p3 180.0)) 1 3)))

 (setq diemchen (getpoint "chon diem ve so do dau dinh:"))
 (command "insert" "C:\\Program Files\\AutoCAD 2005\\TIENICHKS\\BLO\\gd1.dwg" diemchen "" "" "" dpg2 dpg3 dpg1 p3p1 p2p3 p1p2 dpg5 dpg4 tendinh1 tenmocmcd tenmocdv tendinh2 tendinh3)
)

; //////////////// DOAN CHUONG TRINH VE HSGD KIEU 2 /////////////////////////////////////////////////////////////
(defun gd2 (p1 p2 p3 p4 p5 tendinh1 tenmocmcd tenmocdv tendinh2 tendinh3)
 (defun str (n)
(vl-string-right-trim "." (vl-string-right-trim "0" (rtos n 2 2)))
 )
 (setq p1p2 (str (distance p1 p2))
p2p3 (str (distance p2 p3))
p3p1 (str (distance p3 p1))
 )
 (command "style" "textbangtoado" ".Vnarial narrow" 1.8 "" "" "n" "n")
 (setq gocp1p2 (/ (* (angle p1 p2) 180) pi))
 (setq gocp1p5 (/ (* (angle p1 p5) 180) pi))
 (setq gocp2p1p5 (abs (- gocp1p2 gocp1p5)))
 (if (> gocp2p1p5 180) (setq gocp2p1p5 (- 360 gocp2p1p5)))
 (setq dpg1 (vl-string-subst (chr 176) "d" (angtos (* pi (/ gocp2p1p5 180.0)) 1 3)))
 (setq gocp2p1 (/ (* (angle p2 p1) 180) pi))
 (setq gocp2p3 (/ (* (angle p2 p3) 180) pi))
 (setq gocp1p2p3 (abs (- gocp2p1 gocp2p3)))
 (if (> gocp1p2p3 180) (setq gocp1p2p3 (- 360 gocp1p2p3)))
 (setq dpg2 (vl-string-subst (chr 176) "d" (angtos (* pi (/ gocp1p2p3 180.0)) 1 3)))
 (setq gocp3p1 (/ (* (angle p3 p1) 180) pi))
 (setq gocp3p2 (/ (* (angle p3 p2) 180) pi))
 (setq gocp1p3p2 (abs (- gocp3p1 gocp3p2)))
 (if (> gocp1p3p2 180) (setq gocp1p3p2 (- 360 gocp1p3p2)))
 (setq dpg3 (vl-string-subst (chr 176) "d" (angtos (* pi (/ gocp1p3p2 180.0)) 1 3)))
 (setq gocp1p4 (/ (* (angle p1 p4) 180) pi))
 (setq gocp1p2 (/ (* (angle p1 p2) 180) pi))
 (setq gocp4p1p2 (abs (- gocp1p4 gocp1p2)))
 (if (> gocp4p1p2 180) (setq gocp4p1p2 (- 360 gocp4p1p2)))
 (setq dpg4 (vl-string-subst (chr 176) "d" (angtos (* pi (/ gocp4p1p2 180.0)) 1 3)))
 (setq gocp1p5 (/ (* (angle p1 p5) 180) pi))
 (setq gocp1p3 (/ (* (angle p1 p3) 180) pi))
 (setq gocp5p1p3 (abs (- gocp1p5 gocp1p3)))
 (if (> gocp5p1p3 180) (setq gocp5p1p3 (- 360 gocp5p1p3)))
 (setq dpg5 (vl-string-subst (chr 176) "d" (angtos (* pi (/ gocp5p1p3 180.0)) 1 3)))

 (setq diemchen (getpoint "chon diem ve so do dau dinh:"))
 (command "insert" "C:\\Program Files\\AutoCAD 2005\\TIENICHKS\\BLO\\gd2.dwg" diemchen "" "" "" dpg2 dpg3 dpg1 p3p1 p2p3 p1p2 dpg5 dpg4 tendinh1 tenmocmcd tenmocdv tendinh2 tendinh3)
)
; //////////////// DOAN CHUONG TRINH VE HSGD KIEU 3 /////////////////////////////////////////////////////////////

(defun gd3 (p1 p2 p3 p4 p5 tendinh1 tenmocmcd tenmocdv tendinh2 tendinh3)
 (defun str (n)
(vl-string-right-trim "." (vl-string-right-trim "0" (rtos n 2 2)))
 )
 (setq
p1p2 (strcat (str (distance p1 p2)) " m")
p2p3 (strcat (str (distance p2 p3)) " m")
p3p1 (strcat (str (distance p3 p1)) " m")
 )
 (command "style" "textbangtoado" ".Vnarial narrow" 1.8 "" "" "n" "n")
 (setq gocp1p2 (/ (* (angle p1 p2) 180) pi))
 (setq gocp1p3 (/ (* (angle p1 p3) 180) pi))
 (setq gocp2p1p3 (abs (- gocp1p2 gocp1p3)))
 (if (> gocp2p1p3 180) (setq gocp2p1p3 (- 360 gocp2p1p3)))
 (setq dpg1 (vl-string-subst (chr 176) "d" (angtos (* pi (/ gocp2p1p3 180.0)) 1 3)))
 (setq gocp2p1 (/ (* (angle p2 p1) 180) pi))
 (setq gocp2p3 (/ (* (angle p2 p3) 180) pi))
 (setq gocp1p2p3 (abs (- gocp2p1 gocp2p3)))
 (if (> gocp1p2p3 180) (setq gocp1p2p3 (- 360 gocp1p2p3)))
 (setq dpg2 (vl-string-subst (chr 176) "d" (angtos (* pi (/ gocp1p2p3 180.0)) 1 3)))
 (setq gocp3p1 (/ (* (angle p3 p1) 180) pi))
 (setq gocp3p2 (/ (* (angle p3 p2) 180) pi))
 (setq gocp1p3p2 (abs (- gocp3p1 gocp3p2)))
 (if (> gocp1p3p2 180) (setq gocp1p3p2 (- 360 gocp1p3p2)))
 (setq dpg3 (vl-string-subst (chr 176) "d" (angtos (* pi (/ gocp1p3p2 180.0)) 1 3)))
 (setq gocp1p4 (/ (* (angle p1 p4) 180) pi))
 (setq gocp1p2 (/ (* (angle p1 p2) 180) pi))
 (setq gocp4p1p2 (abs (- gocp1p4 gocp1p2)))
 (if (> gocp4p1p2 180) (setq gocp4p1p2 (- 360 gocp4p1p2)))
 (setq dpg4 (vl-string-subst (chr 176) "d" (angtos (* pi (/ gocp4p1p2 180.0)) 1 3)))
 (setq gocp1p5 (/ (* (angle p1 p5) 180) pi))
 (setq gocp1p3 (/ (* (angle p1 p3) 180) pi))
 (setq gocp5p1p3 (abs (- gocp1p5 gocp1p3)))
 (if (> gocp5p1p3 180) (setq gocp5p1p3 (- 360 gocp5p1p3)))
 (setq dpg5 (vl-string-subst (chr 176) "d" (angtos (* pi (/ gocp5p1p3 180.0)) 1 3)))

 (setq diemchen (getpoint "chon diem ve so do dau dinh:"))
 (command "insert" "C:\\Program Files\\AutoCAD 2005\\TIENICHKS\\BLO\\gd3.dwg" diemchen "" "" "" dpg2 dpg3 dpg1 p3p1 p2p3 p1p2 dpg5 dpg4 tendinh1 tenmocmcd tenmocdv tendinh2 tendinh3)
 ;(command "mirror" "L" "" diemchen "@20<90" "y" "")
)
; //////////////// DOAN CHUONG TRINH VE HSGD KIEU 4 /////////////////////////////////////////////////////////////
(defun gd4 (p1 p2 p3 p4 p5 tendinh1 tenmocmcd tenmocdv tendinh2 tendinh3)
 (defun str (n)
(vl-string-right-trim "." (vl-string-right-trim "0" (rtos n 2 2)))
 )
 (setq p1p2 (str (distance p1 p2))
p2p3 (str (distance p2 p3))
p3p1 (str (distance p3 p1))
 )
 (command "style" "textbangtoado" ".Vnarial narrow" 1.8 "" "" "n" "n")
 (setq gocp1p2 (/ (* (angle p1 p2) 180) pi))
 (setq gocp1p5 (/ (* (angle p1 p5) 180) pi))
 (setq gocp2p1p5 (abs (- gocp1p2 gocp1p5)))
 (if (> gocp2p1p5 180) (setq gocp2p1p5 (- 360 gocp2p1p5)))
 (setq dpg1 (vl-string-subst (chr 176) "d" (angtos (* pi (/ gocp2p1p5 180.0)) 1 3)))
 (setq gocp2p1 (/ (* (angle p2 p1) 180) pi))
 (setq gocp2p3 (/ (* (angle p2 p3) 180) pi))
 (setq gocp1p2p3 (abs (- gocp2p1 gocp2p3)))
 (if (> gocp1p2p3 180) (setq gocp1p2p3 (- 360 gocp1p2p3)))
 (setq dpg2 (vl-string-subst (chr 176) "d" (angtos (* pi (/ gocp1p2p3 180.0)) 1 3)))
 (setq gocp3p1 (/ (* (angle p3 p1) 180) pi))
 (setq gocp3p2 (/ (* (angle p3 p2) 180) pi))
 (setq gocp1p3p2 (abs (- gocp3p1 gocp3p2)))
 (if (> gocp1p3p2 180) (setq gocp1p3p2 (- 360 gocp1p3p2)))
 (setq dpg3 (vl-string-subst (chr 176) "d" (angtos (* pi (/ gocp1p3p2 180.0)) 1 3)))
 (setq gocp1p4 (/ (* (angle p1 p4) 180) pi))
 (setq gocp1p2 (/ (* (angle p1 p2) 180) pi))
 (setq gocp4p1p2 (abs (- gocp1p4 gocp1p2)))
 (if (> gocp4p1p2 180) (setq gocp4p1p2 (- 360 gocp4p1p2)))
 (setq dpg4 (vl-string-subst (chr 176) "d" (angtos (* pi (/ gocp4p1p2 180.0)) 1 3)))
 (setq gocp1p5 (/ (* (angle p1 p5) 180) pi))
 (setq gocp1p3 (/ (* (angle p1 p3) 180) pi))
 (setq gocp5p1p3 (abs (- gocp1p5 gocp1p3)))
 (if (> gocp5p1p3 180) (setq gocp5p1p3 (- 360 gocp5p1p3)))
 (setq dpg5 (vl-string-subst (chr 176) "d" (angtos (* pi (/ gocp5p1p3 180.0)) 1 3)))

 (setq diemchen (getpoint "chon diem ve so do dau dinh:"))
 (command "insert" "C:\\Program Files\\AutoCAD 2005\\TIENICHKS\\BLO\\gd4.dwg" diemchen "" "" "" dpg2 dpg3 dpg1 p3p1 p2p3 p1p2 dpg5 dpg4 tendinh1 tenmocmcd tenmocdv tendinh2 tendinh3)
; (command "mirror" "L" "" diemchen "@20<90" "y" "")
)
DCL:

VD1 : dialog { 
     	label = "VÏ hå s¬ göi ®Ønh"; 
     	: column {
     	: boxed_row {
       	: radio_column { 
       	key = "mychoice"; 
       	: radio_button {
         	key = "but1";
         	label = "Lo¹i 1: MC§ vµ §V cïng phÝa thuËn chiÒu tuyÕn";
       	}
       	: radio_button {
         	key = "but2";
         	label = "Lo¹i 2: MC§ vµ §V kh¸c phÝa thuËn chiÒu tuyÕn";
       	}
       	: radio_button {
         	key = "but3";
         	label = "Lo¹i 3: MC§ vµ §V cïng phÝa Ng­îc chiÒu tuyÕn";
       	}
       	: radio_button {
         	key = "but4";
         	label = "Lo¹i 4: MC§ vµ §V kh¸c phÝa Ng­îc chiÒu tuyÕn";
       	}
     	}
}

         	:image { 
  key = "sld"; 
height = 20; 
  width = 80; 
 	color = 105;
 is_enabled = true; 
  is_tab_stop = true;
    	}
       	: boxed_row { 
         	: button {
           	key = "ve";
           	label = "NhËp th«ng sè vÏ";
           	is_default = true;
           	height = 2.5; 
         	}
         	: button {
           	key = "cancel";
           	label = "Tho¸t";
           	is_default = true;
           	is_cancel = true;
           	height = 2.5; 
         	}

       	}
      	}
     	}
DCL2:

VD2 : dialog { 
     	label = "VÏ hå s¬ göi ®Ønh"; 
     	: column {
       	: boxed_column {
        	: boxed_row {
         	: edit_box {
           	key = "MCD";
           	label = "Tªn mèc MC§:";
           	edit_width = 15;
           	width = 30;
           	value = "";
           	initial_focus = true;
           	alignment = left;
         	}
         	: retirement_button {
           	key = "PMCD";
           	label = "Chän ®iÓm MCD";
           	mnemonic = "H";
           	width = 30;
           	alignment = right;
         	}
         	}
         	// ........
        	: boxed_row {
         	: edit_box {
           	key = "DV";
           	label = "Tªn mèc §V:";
           	edit_width = 15;
           	width = 30;
           	value = "";
           	initial_focus = true;
           	alignment = left;
         	}
         	: retirement_button {
           	key = "PDV";
           	label = "Chän ®iªm DV";
           	mnemonic = "H";
           	width = 30;
         	}
         	}
         	// ........
        	: boxed_row {
         	: edit_box {
           	key = "Dgiua";
           	label = "Tªn ®Ønh göi:";
           	edit_width = 15;
           	width = 30;
           	value = "";
           	initial_focus = true;
           	alignment = left;
         	}
         	: retirement_button {
           	key = "PDgiua";
           	label = "Chän D gui";
           	mnemonic = "H";
           	width = 30;
         	}
         	}
         	// ........
        	: boxed_row {
         	: edit_box {
           	key = "Dtruoc";
           	label = "Tªn ®Ønh phÝa MC§:";
           	edit_width = 15;
           	width = 30;
           	value = "";
           	initial_focus = true;
           	alignment = left;
         	}
         	: retirement_button {
           	key = "PDtruoc";
           	label = "Chän D cïng phÝa MC§ ";
           	mnemonic = "H";
           	width = 30;
         	}
         	}
         	// ........
        	: boxed_row {
         	: edit_box {
           	key = "Dsau";
           	label = "Tªn ®Ønh phÝa §V:";
           	edit_width = 15;
           	width = 30;
           	value = "";
           	initial_focus = true;
           	alignment = left;
         	}
         	: retirement_button {
           	key = "PDsau";
           	label = "Chän D cïng phÝa §V";
           	mnemonic = "H";
           	width = 30;

         	}
         	}


       	}
       	: boxed_row {
         	: button {
           	key = "accept";
           	label = "VÏ HSG§";
           	is_default = true;
           	height = 3;
           	width = 20;
         	}
         	: button {
           	key = "cancel";
           	label = "Tho¸t";
           	is_default = false;
           	is_cancel = true;
           	height = 3;
           	width = 20;
         	}
       	}
     	} 
}

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

không hieur sao không thể up lên cadviet được. copy code vậy:

Đây là trích từ 1 dialoge của tôi để bạn tham khảo:

(defun C:XYZ()
(setq dial (load_dialog "File_DCL.dcl"))
(setq flag 3)
(while (and (> flag 0) (/= flag 1))
 (if (not (new_dialog "Ten_Dialoge" dial)) (exit))
 (action_tile "Cancel" "(done_dialog 0)")
 (action_tile "Accept" "(done_dialog 1)")
 (action_tile "Ve_Point" "(done_dialog 2)")
 (setq flag (start_dialog))
 (cond ((= flag 2) (Goi_Ham_Pick_Point))))
(unload_dialog dial)
(princ))

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

;; free lisp from cadviet.com
;;; this lisp was downloaded from http://www.cadviet.com/forum/index.php?showtopic=63157&hl=&fromsearch=1
(defun C:XYZ()
(setq dial (load_dialog "File_DCL.dcl"))
(setq flag 3)
(while (and (> flag 0) (/= flag 1))
 (if (not (new_dialog "Ten_Dialoge" dial)) (exit))
 (action_tile "Cancel" "(done_dialog 0)")
 (action_tile "Accept" "(done_dialog 1)")
 (action_tile "Ve_Point" "(done_dialog 2)")
 (setq flag (start_dialog))
 (cond ((= flag 2) (Goi_Ham_Pick_Point))))
(unload_dialog dial)
(princ))

 

cảm ơn DOAN VAN HA nhe

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×